PipeWire 1.4.8

Loading...
Searching...
No Matches
Internationalization
Utilities

Gettext interface. More...

## Files
file | i18n.h
| pipewire/i18n.h

## Macros
#define | _(String)
#define | N_(String)

## Functions
const char * | pw_gettext (const char *msgid)
const char * | pw_ngettext (const char *msgid, const char *msgid_plural, unsigned long int n)

## Detailed Description

Gettext interface.

## Macro Definition Documentation

## ◆ _

#define _ | ( |  | String | ) |

Value:
(pw_gettext(String))
pw_gettext
const char * pw_gettext(const char *msgid)
Definition pipewire.c:426

## ◆ N_

#define N_ | ( |  | String | ) |

Value:
(String)

## Function Documentation

## ◆ pw_gettext()

const char * pw_gettext | ( | const char * | msgid | ) |

## ◆ pw_ngettext()

const char * pw_ngettext | ( | const char * | msgid,
|  | const char * | msgid_plural,
|  | unsigned long int | n )